import React from 'react'
import styled from 'styled-components'
import { useContext } from 'react';
import { ThemeContext } from 'styled-components';
const Element = styled.div`
//width: 1em;
height: 2em;
display: block;
background: ${props=> props.bg};
color: #707070;
padding: .5em;

`;
export default function ColourPalette() {
    var colours = useContext(ThemeContext).colours;
    return (
        <div>
        
  
        {Object.keys(colours).map((name, index) => (
                <Element bg={colours[name]}>{name}</Element>
        ))}
        </div>
    )
}
